Subject: Re: bug#71499: [PATCH] Make whitespace.el cleanup add missing final newline

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Jun 2024 10:46:52 +0300

> Date: Tue, 11 Jun 2024 20:16:03 +0200
> From: Björn Lindström <[email-masked]>
> 
> attaching patch to make the whitespace-cleanup and whitespace-cleanup-region functions add a final newline to a file if whitespace-style contains `missing-newline-at-eof
> 
> I'm aware this somewhat replicates what setting `require-final-newline would do, but I think since whitespace.el with this configuration highlights this as an error, it should also clean it up when asked.

This is an incompatible change of behavior on behalf of
whitespace-cleanup, so I don't think we can accept it as in this patch
(or the next one you sent).  Se we'd need some new user option, by
default off, to turn on this new feature.  Or maybe a new action for
whitespace-action?

Thanks.